import request from '@/utils/request'
/**
 * 事件上报请示相关接口
 */
// 申请上报
export function addReport(params) {
  return request({
    url: 'caseReport/addReport',
    method: 'post',
    params
  })
}

// 处理上报
export function processReport(params) {
  return request({
    url: 'caseReport/processReport',
    method: 'post',
    params
  })
}

// 待办上报请示
export function workReportList(params) {
  return request({
    url: 'caseReport/workReportList',
    method: 'get',
    params
  })
}

// 我的上报请示
export function myReportList(params) {
  return request({
    url: 'caseReport/myReportList',
    method: 'get',
    params
  })
}

// 查询上报请示
export function searchReportList(params) {
  return request({
    url: 'caseReport/searchReportList',
    method: 'get',
    params
  })
}

// 查询上报请示
export function reportRecords(caseId) {
  return request({
    url: 'caseReport/records',
    method: 'get',
    params: {
      caseId: caseId
    }
  })
}